org.jgroups.protocols

## Class FD_PING

- java.lang.Object
- - org.jgroups.stack.Protocol
  - - org.jgroups.protocols.FD
    - - org.jgroups.protocols.FD_PING

-     public class FD_PING
      extends FD

  Protocol which uses an executable (e.g. /sbin/ping, or a script) to check whether a given host is up or not, taking 1 argument; the host name of the host to be pinged. Property 'cmd' determines the program to be executed (use a fully qualified name if the program is not on the path).
  Author:
    Bela Ban

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `FD_PING.Pinger`
    `protected class` | `FD_PING.PingMonitor` Executes the ping command.

    - ### Nested classes/interfaces inherited from class org.jgroups.protocols.FD

      `FD.Broadcaster, FD.BroadcastTask, FD.FdHeader, FD.Monitor`

  - ### Field Summary

    - ### Fields inherited from class org.jgroups.protocols.FD

      `bcast_task, local_addr, lock, members, num_heartbeats, num_suspect_events, num_tries, ping_dest, pingable_mbrs, suspect_history`

    - ### Fields inherited from class org.jgroups.stack.Protocol

      `down_prot, ergonomics, id, log, name, stack, stats, up_prot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FD_PING()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FD.Monitor` | `createMonitor()`

    - ### Methods inherited from class org.jgroups.protocols.FD

      `down, getCurrentNumTries, getLocalAddress, getMaxTries, getMembers, getNumberOfHeartbeatsSent, getNumSuspectEventsGenerated, getPingableMembers, getPingDest, getTimeout, init, isShun, printSuspectHistory, resetStats, setMaxTries, setShun, setTimeout, startFailureDetection, stop, stopFailureDetection, up`

    - ### Methods inherited from class org.jgroups.stack.Protocol

      `destroy, downThreadEnabled, dumpStats, enableStats, getConfigurableObjects, getDownProtocol, getId, getLevel, getName, getProperties, getProtocolStack, getSocketFactory, getThreadFactory, getTransport, getUpProtocol, getValue, isErgonomics, printStats, providedDownServices, providedUpServices, requiredDownServices, requiredUpServices, setDownProtocol, setErgonomics, setId, setLevel, setProperties, setPropertiesInternal, setProperty, setProtocolStack, setSocketFactory, setUpProtocol, setValue, setValues, start, statsEnabled, upThreadEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FD_PING

          public FD_PING()

  - ### Method Detail

    - #### createMonitor

          protected FD.Monitor createMonitor()

      Overrides:
        `createMonitor` in class `FD`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.